maya2016 for maya

其它类软件,非上述版软件
回复
cmasker
帖子: 2
注册时间: 2016-05-23 18:36
系统: linux mint
送出感谢: 0
接收感谢: 0

maya2016 for maya

#1

帖子 cmasker » 2016-05-23 18:41

sudo apt-get install csh tcsh libaudiofile-dev libglw1-mesa elfutils gamin libglw1-mesa-dev mesa-utils xfs xfstt ttf-liberation ttf-mscorefonts-installer xfonts-100dpi xfonts-75dpi alien#安装库环境
在终端输入以上命令时,提示xfs已经不存在或被替代了,所以我删掉了xfs另外ttf-mscorefonts-installer会下载失败,所以我也删掉它。最终我在终端输入的只有:

sudo apt-get install csh tcsh libaudiofile-dev libglw1-mesa elfutils gamin libglw1-mesa-dev mesa-utils xfstt ttf-liberation xfonts-100dpi xfonts-75dpi alien#教程里说的 其实跟我的情况差不多 我都输了这两句 谁让我是小白 嘻嘻嘻
for i in *.rpm; do sudo alien -cv $i; done#将rpm转变为deb
dpkg -i *.deb#开始安装那个文件夹里面的所有deb包
mkdir /usr/tmp#创建一个tmp文件夹
chmod 777 /usr/tmp#改变文件夹权限




/usr/autodesk/maya/bin/maya #运行maya

毫无疑问运行失败 下面的问题出现了 我搜了大概几十篇教程 相关的 甚至是只有一个错误相关的 不完全跟maya相关 下面的东西很乱 都是碰到各个问题的解决方法 有参考意义 甚至想过换系统fedora 以为人家有yum就很牛逼 但不甘心


下面的话摘取子一个教程 (viewtopic.php?f=35&t=320216
############.此时还不能打开maya,因为还没有生成license,注意这里是重点,成败基本就在这一步了。

在安装文件夹内生成一个空的dummy.c文件,至于如何生成不好意思,命令我忘了,求高手赐教,不过文件我会打包给大家。
然后编辑dummy.c里的内容,拷贝以下内容进去:
int main (void) {

return 0;

}

然后保存,关闭。
运行命令gcc dummy.c 如果顺利会生成一个a.out文件
复制a.out到/usr/bin/rpm
命令:sudo cp a.out /usr/bin/rpm
OK,关键的一步走过来了。
5.运行安装文件夹里的setup
命令./setup
哈哈!是不是熟悉的安装界面出来啦
哈哈!!此时,你的maya已经安装完成了,打开来感受一下吧,应用程序-图形
可能有人就发现了,怎么我的maya死活打不开呢?
别急,输入以下命令:
/usr/autodesk/maya/bin/maya 看一下到底出什么问题了
#######

/usr/lib/x86_64-linux-gnu#到64位库
cd /usr/lib#定位到usr/lib ls libtiff*#列举该库下的libtiff文件
rm libtiff.so.3 #删除该文件
/usr/autodesk/maya/bin/maya/usr/i386-linux-gnu/libtiff.so.4 libtiff.so.3#建立32位库下libtiff.so.4与so.3的链接(这个链接到的是三十二位库的不能用 啊啊啊啊 要疯了!换个思路找到64位库就搞定了)
libcurl.so.4 这个也找不到,,,,超气人,,,到处都找不到答案 可以在新立得更新管理器搜索libcurl 出来好多相关的文件 小白不懂 一股脑全装了。。。。就问你6不6!!!!然后回到terminal sudo apt-install* 尽管也返回了错误 未找到包之类的 可小白我不甘心 马的 敲了个maya 我去还真解决了 好神奇!!!@ 谁能告诉我为什吗,,这到底是为神码,,,但接着就出现了下列问题
/usr/autodesk/maya2016/bin/maya.bin: error while loading shared libraries: libssl.so.10: cannot open shared object file: No such file or directory##大问题出现-----------通过下面的代码解决(网上搜的)


#Lets make sure that you have your SSL installed and updated:

sudo apt-get update
sudo apt-get install libssl1.0.0 libssl-dev

#Now lets fix the naming of the file by creating a link:

cd /lib/x86_64-linux-gnu
sudo ln -s libssl.so.1.0.0 libssl.so.10
sudo ln -s libcrypto.so.1.0.0 libcrypto.so.10

#And finally, lets inform the developer about this flaw so he can fix it :)
rosynirvana
帖子: 893
注册时间: 2011-02-14 17:46
送出感谢: 3 次
接收感谢: 119 次

Re: maya2016 for maya

#2

帖子 rosynirvana » 2016-05-23 19:58

总是返回0的程序有现成的,/usr/bin/true
头像
vickycq
论坛版主
帖子: 4507
注册时间: 2011-03-20 13:12
系统: Debian
来自: 山东省寿光县
送出感谢: 100 次
接收感谢: 994 次
联系:

Re: maya2016 for maya

#3

帖子 vickycq » 2016-05-23 20:51

cmasker 写了: libcurl.so.4 这个也找不到,,,,超气人,,,到处都找不到答案 可以在新立得更新管理器搜索libcurl 出来好多相关的文件
1.
用 apt-file 搜索包含某个具体文件的包名
先安装 apt-file 套件
第一次使用 apt-file 需要先建立索引(用 root 身份运行一次 apt-file update)

代码: 全选

$ apt-file search libcurl.so.4
libcurl3: /usr/lib/x86_64-linux-gnu/libcurl.so.4
libcurl3: /usr/lib/x86_64-linux-gnu/libcurl.so.4.4.0
可见 libcurl.so.4 包含在 libcurl3 这个包中

2.
也可到 http://packages.ubuntu.com/ - Search the contents of packages
单选按钮选择 'packages that contain files whose names contain the keyword'
关键词填 libcurl.so.4
搜索,得到 http://packages.ubuntu.com/search?searc ... l&arch=any
可见 libcurl.so.4 包含在 libcurl3 这个包中
Debian 中文论坛 - forums.debiancn.org
欢迎所有 Debian GNU/Linux 用户
cmasker
帖子: 2
注册时间: 2016-05-23 18:36
系统: linux mint
送出感谢: 0
接收感谢: 0

Re: maya2016 for maya

#4

帖子 cmasker » 2016-05-25 17:19

rosynirvana 写了:总是返回0的程序有现成的,/usr/bin/true
哦,其实我也不懂,,就是发出经历 或许大家用得着 我也刚好装个比 无哈哈哈 :em09
回复

回到 “其它类软件”